## DmapAvRecord

DmapAvRecord — The description of an item shared using DAAP.

## Functions

gboolean | dmap_av_record_itunes_compat ()
GInputStream * | dmap_av_record_read ()
gint | dmap_av_record_cmp_by_album ()

## Properties

int | bitrate | Read / Write
int | disc | Read / Write
int | duration | Read / Write
guint64 | filesize | Read / Write
int | firstseen | Read / Write
char * | format | Read / Write
gboolean | has-video | Read / Write
GArray * | hash | Read / Write
char * | location | Read / Write
DmapMediaKind | mediakind | Read / Write
int | mtime | Read / Write
int | rating | Read / Write
char * | songalbum | Read / Write
gint64 | songalbumid | Read / Write
char * | songartist | Read / Write
char * | songgenre | Read / Write
char * | sort-album | Read / Write
char * | sort-artist | Read / Write
char * | title | Read / Write
int | track | Read / Write
int | year | Read / Write

## Object Hierarchy

        GInterface
        ╰── DmapAvRecord

## Description

DmapAvRecord objects encapsulate the description of an item shared using DAAP.

## Functions

### dmap_av_record_itunes_compat ()

    gboolean
    dmap_av_record_itunes_compat (DmapAvRecord *record);

#### Parameters

record | A DmapAvRecord. |

#### Returns

TRUE if record is compatible with iTunes, else FALSE.

### dmap_av_record_read ()

    GInputStream *
    dmap_av_record_read (DmapAvRecord *record,
                         GError **err);

#### Parameters

record | a DmapAvRecord. |
err | a GError. |

#### Returns

A GInputStream that provides read-only access to the data stream associated with record.

[transfer full]

### dmap_av_record_cmp_by_album ()

    gint
    dmap_av_record_cmp_by_album (gpointer a,
                                 gpointer b,
                                 DmapDb *db);

Compares the two records associated with the provided keys according to album. Suitable to sort lists of albums.

#### Parameters

a | first ID. |
b | second ID. |
db | A DmapDb for which a and b are valid ID's. |

## Property Details

### The `“bitrate”` property

      “bitrate”                  int

Song data bitrate in Kb/s.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“disc”` property

      “disc”                     int

Song disc number.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“duration”` property

      “duration”                 int

Song duration in seconds.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“filesize”` property

      “filesize”                 guint64

Song data size in bytes.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: <= 2147483647

Default value: 0

### The `“firstseen”` property

      “firstseen”                int

FIXME.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“format”` property

      “format”                   char *

Song data format.

Owner: DmapAvRecord

Flags: Read / Write

Default value: "Unknown"

### The `“has-video”` property

      “has-video”                gboolean

Song has video component.

Owner: DmapAvRecord

Flags: Read / Write

Default value: FALSE

### The `“hash”` property

      “hash”                     GArray *

Hash of media file contents.

Owner: DmapAvRecord

Flags: Read / Write

### The `“location”` property

      “location”                 char *

URI pointing to song data.

Owner: DmapAvRecord

Flags: Read / Write

Default value: NULL

### The `“mediakind”` property

      “mediakind”                DmapMediaKind

Media kind.

Owner: DmapAvRecord

Flags: Read / Write

Default value: DMAP_MEDIA_KIND_MUSIC

### The `“mtime”` property

      “mtime”                    int

Song modification time.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rating”` property

      “rating”                   int

Song rating.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: [0,5]

Default value: 0

### The `“songalbum”` property

      “songalbum”                char *

Album name.

Owner: DmapAvRecord

Flags: Read / Write

Default value: "Unknown"

### The `“songalbumid”` property

      “songalbumid”              gint64

Album id.

Owner: DmapAvRecord

Flags: Read / Write

Default value: 0

### The `“songartist”` property

      “songartist”               char *

Song artist.

Owner: DmapAvRecord

Flags: Read / Write

Default value: "Unknown"

### The `“songgenre”` property

      “songgenre”                char *

Song genre.

Owner: DmapAvRecord

Flags: Read / Write

Default value: "Unknown"

### The `“sort-album”` property

      “sort-album”               char *

Album sort name.

Owner: DmapAvRecord

Flags: Read / Write

Default value: "Unknown"

### The `“sort-artist”` property

      “sort-artist”              char *

Song artist sort name.

Owner: DmapAvRecord

Flags: Read / Write

Default value: "Unknown"

### The `“title”` property

      “title”                    char *

Song title.

Owner: DmapAvRecord

Flags: Read / Write

Default value: "Unknown"

### The `“track”` property

      “track”                    int

Song track number.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“year”` property

      “year”                     int

Song publication year.

Owner: DmapAvRecord

Flags: Read / Write

Allowed values: >= 0

Default value: 0